commit:     d2f026a3480457d00c8e6f8acfc4431892275dad
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Tue Dec 22 12:04:17 2015 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Tue Dec 22 12:04:17 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d2f026a3

sys-power/apcupsd: Bump to version 3.14.13

Package-Manager: portage-2.2.26
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>

 sys-power/apcupsd/Manifest               |   1 +
 sys-power/apcupsd/apcupsd-3.14.13.ebuild | 139 +++++++++++++++++++++++++++++++
 2 files changed, 140 insertions(+)

diff --git a/sys-power/apcupsd/Manifest b/sys-power/apcupsd/Manifest
index 4758a56..e186bcc 100644
--- a/sys-power/apcupsd/Manifest
+++ b/sys-power/apcupsd/Manifest
@@ -1,3 +1,4 @@
 DIST apcupsd-3.14.10.tar.gz 1336852 SHA256 
0707b5ec9916fbde9e44eb8d18037c8d8f75dfd6aeef51aba5487e189eef2032 SHA512 
f95918bff783cb60fa40b03a532ee7447293b0542f44f2f9ecf36ee028df3aa414f01e2b834a28fc319d88ec2e84c81314cd546b5628554176f2ca47fdc66bbc
 WHIRLPOOL 
1fb40a5199eb8dfcd287bab08c2bbf51f02a3657ba615e16395d5f377bc9a5b6144db24b83ef5e9172ff970a715f87f685118a035c00372c34702984fac02d38
 DIST apcupsd-3.14.12.tar.gz 2014699 SHA256 
1b4f703cb19cfdf44daf173dc8394cafd30fee0b30a0c75a7d19db622454a440 SHA512 
2ed409ce4c7c7af667cecf0c73c47315d7516c696383c811945ead720afc146fe2ceda0efef722c3208a1b41a7d4661c9544bc4fe37a36ca4779a5dc1621f3d4
 WHIRLPOOL 
13a2491e4ad5446ba91a075f7408e48e94a35885288c9ee6108891d89412be5c81f69f4ab5064f86b8bece8c0de44357e4c378d05aad5d9d27bd85f0d95a83d5
+DIST apcupsd-3.14.13.tar.gz 1935043 SHA256 
57ecbde01d0448bf8c4dbfe0ad016724ae66ab98adf2de955bf2be553c5d03f9 SHA512 
74f7763de268626e24f9dd99090b01d5bff35c2fde769039104105ec27941673d1613c41fcac11e3d97d2fe5c364bcc0459847fcba5d2f7f1aac85795d6d8570
 WHIRLPOOL 
4b6fb18848aa597bae1066a7f195747f9edfdee75a27e43e3d14e3153d4b434829c5863b7e92c0704ea652583b8c5885fd01fe7280abe93bf1c6cfc370434f73
 DIST apcupsd-3.14.8.tar.gz 1317601 SHA256 
8e7f2574d3abaf6637da3e790860c3f9ba64fab1ec7e50bb080de4439441c5a7 SHA512 
07e6a15538bf1824b5063a1a93f33231639cf962e658c0dada1b244f2554af81824825d807ea81fd0388e25ed8fac0957621bfded96e3faeb7b594548fc4d418
 WHIRLPOOL 
e5a580afc4955a373f020cb6e4ccbf07f9f020d4c15eaae59b416499c25a00b9d4bbc6af012bd2529024e8a3668a1d7c47f19f1bcb99f5ba60dc0108fa13c4f2

diff --git a/sys-power/apcupsd/apcupsd-3.14.13.ebuild 
b/sys-power/apcupsd/apcupsd-3.14.13.ebuild
new file mode 100644
index 0000000..ce3e408
--- /dev/null
+++ b/sys-power/apcupsd/apcupsd-3.14.13.ebuild
@@ -0,0 +1,139 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit eutils linux-info flag-o-matic systemd udev
+
+DESCRIPTION="APC UPS daemon with integrated tcp/ip remote shutdown"
+HOMEPAGE="http://www.apcupsd.org/";
+SRC_URI="mirror://sourceforge/apcupsd/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ppc ~x86 ~x86-fbsd"
+IUSE="snmp +usb cgi nls gnome kernel_linux"
+
+DEPEND="
+       ||      ( >=sys-apps/util-linux-2.23[tty-helpers(-)]
+                 <=sys-apps/sysvinit-2.88-r4
+                 sys-freebsd/freebsd-ubin
+               )
+       cgi? ( >=media-libs/gd-1.8.4 )
+       nls? ( sys-devel/gettext )
+       snmp? ( >=net-analyzer/net-snmp-5.7.2 )
+       gnome? ( >=x11-libs/gtk+-2.4.0:2
+               dev-libs/glib:2
+               >=gnome-base/gconf-2.0 )"
+RDEPEND="${DEPEND}
+       sys-apps/openrc
+       virtual/mailx"
+
+CONFIG_CHECK="~USB_HIDDEV ~HIDRAW"
+ERROR_USB_HIDDEV="CONFIG_USB_HIDDEV:   needed to access USB-attached UPSes"
+ERROR_HIDRAW="CONFIG_HIDRAW:           needed to access USB-attached UPSes"
+
+pkg_setup() {
+       if use kernel_linux && use usb && linux_config_exists; then
+               check_extra_config
+       fi
+}
+
+src_prepare() {
+       epatch "${FILESDIR}/${PN}-3.14.9-aliasing.patch"
+}
+
+src_configure() {
+       local myconf
+       use cgi && myconf="${myconf} --enable-cgi 
--with-cgi-bin=/usr/libexec/${PN}/cgi-bin"
+       if use usb; then
+               myconf="${myconf} --with-upstype=usb --with-upscable=usb 
--enable-usb --with-dev= "
+       else
+               myconf="${myconf} --with-upstype=apcsmart --with-upscable=smart 
--disable-usb"
+       fi
+
+       # We force the DISTNAME to gentoo so it will use gentoo's layout also
+       # when installed on non-linux systems.
+       econf \
+               --sbindir=/sbin \
+               --sysconfdir=/etc/apcupsd \
+               --with-pwrfail-dir=/etc/apcupsd \
+               --with-lock-dir=/run/apcupsd \
+               --with-pid-dir=/run/apcupsd \
+               --with-log-dir=/var/log \
+               --with-nis-port=3551 \
+               --enable-net --enable-pcnet \
+               --with-distname=gentoo \
+               $(use_enable snmp net-snmp) \
+               $(use_enable gnome gapcmon) \
+               ${myconf} \
+               APCUPSD_MAIL=/bin/mail
+}
+
+src_compile() {
+       # Workaround for bug #280674; upstream should really just provide
+       # the text files in the distribution, but I wouldn't count on them
+       # doing that anytime soon.
+       MANPAGER=$(type -p cat) \
+               emake || die "emake failed"
+}
+
+src_install() {
+       emake DESTDIR="${D}" install
+       rm -f "${D}"/etc/init.d/halt
+
+       insinto /etc/apcupsd
+       newins examples/safe.apccontrol safe.apccontrol
+       doins "${FILESDIR}"/apcupsd.conf
+
+       dodoc ChangeLog* ReleaseNotes
+       doman doc/*.8 doc/*.5
+
+       dohtml -r doc/manual/*
+
+       rm "${D}"/etc/init.d/apcupsd
+       newinitd "${FILESDIR}/${PN}.init.4" "${PN}"
+       newinitd "${FILESDIR}/${PN}.powerfail.init" "${PN}".powerfail
+
+       systemd_dounit "${FILESDIR}"/${PN}.service
+       systemd_dotmpfilesd "${FILESDIR}"/${PN}-tmpfiles.conf
+
+       # remove hal settings, we don't really want to have it around still.
+       rm -r "${D}"/usr/share/hal
+
+       # replace it with our udev rules if we're in Linux
+       if use kernel_linux; then
+               udev_newrules "${FILESDIR}"/apcupsd-udev.rules 60-${PN}.rules
+       fi
+
+}
+
+pkg_postinst() {
+       if use cgi; then
+               elog "The cgi-bin directory for ${PN} is 
/usr/libexec/${PN}/cgi-bin."
+               elog "Set up your ScriptAlias or symbolic links accordingly."
+       fi
+
+       elog ""
+       elog "Since version 3.14.0 you can use multiple apcupsd instances to"
+       elog "control more than one UPS in a single box with openRC."
+       elog "To do this, create a link between /etc/init.d/apcupsd to a new"
+       elog "/etc/init.d/apcupsd.something, and it will then load the"
+       elog "configuration file at /etc/apcupsd/something.conf."
+       elog ""
+
+       elog 'If you want apcupsd to power off your UPS when it'
+       elog 'shuts down your system in a power failure, you must'
+       elog 'add apcupsd.powerfail to your shutdown runlevel:'
+       elog ''
+       elog ' \e[01m rc-update add apcupsd.powerfail shutdown \e[0m'
+       elog ''
+
+       if use kernel_linux; then
+               elog "Starting from version 3.14.9-r1, ${PN} installs udev 
rules"
+               elog "for persistent device naming. If you have multiple UPS"
+               elog "connected to the machine, you can point them to the 
devices"
+               elog "in /dev/apcups/by-id directory."
+       fi
+}

Reply via email to